commit:     868b057ea95a1275137651d200271caba93e6574
Author:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Sat Apr 11 08:14:57 2020 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Sat Apr 11 08:14:57 2020 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=868b057e

dev-python/pyspelling: do not depend on mkdocs-git-rev..

Package-Manager: Portage-2.3.98, Repoman-2.3.22
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>

 dev-python/pyspelling/pyspelling-2.6.0.ebuild | 10 ++++------
 1 file changed, 4 insertions(+), 6 deletions(-)

diff --git a/dev-python/pyspelling/pyspelling-2.6.0.ebuild 
b/dev-python/pyspelling/pyspelling-2.6.0.ebuild
index c9b21a2..eff19a8 100644
--- a/dev-python/pyspelling/pyspelling-2.6.0.ebuild
+++ b/dev-python/pyspelling/pyspelling-2.6.0.ebuild
@@ -9,7 +9,6 @@ DISTUTILS_USE_SETUPTOOLS=rdepend
 
 DOCBUILDER="mkdocs"
 DOCDEPEND="
-       dev-python/mkdocs-git-revision-date-localized-plugin
        dev-python/mkdocs_pymdownx_material_extras
        ~dev-python/mkdocs-material-5.0.0_rc2"
 
@@ -41,10 +40,9 @@ distutils_enable_tests pytest
 
 python_prepare_all() {
        # git revision data plugin needs git repo to build
-       if use doc; then
-               git init || die
-               git add -A || die
-               git commit -q -m ".." || die
-       fi
+       # do not depend on this
+       sed -i -e '/git-revision-date-localized/d' \
+               mkdocs.yml || die
+
        distutils-r1_python_prepare_all
 }

Reply via email to